import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.lang.*;

public class ObliqueGraphCanvasD extends GraphCanvasD{
    private static final Color bgcolor = new Color(236,236,236);
    //private static final Color bgcolor = new Color(170,240,240);
    private Image im;
    private Graphics buf;
    private Oblique_State state;
    private static final int LeftMargin=10, RightMargin=10, TopMargin=10, BottomMargin=10;
    
    
    public ObliqueGraphCanvasD(Oblique_State state){
	
	super();
	this.state = state;
	setBackground(bgcolor);
	setYRangeMax(600.0);
	setYRangeMin(0.0);
	plotZeroLine(false);
	//plotRefPoint(false);
        setNoRange(false);
        state.ignition();
        setTitle("", Color.blue);
	setLabels("Magnetic Field - Standing Wave Pattern (Normal to Interface)","| H | / Ho","x-coordinate");
	plot(state.x_swp,state.xarrayTot_M); 
       
   }
   
}
